Bug 205053 - Spec file alterations and libdir fixes
Summary: Spec file alterations and libdir fixes
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-sharp (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-02 23:59 UTC by Paul F. Johnson
Modified: 2013-01-10 04:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 18:25:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gtk-sharp spec file patch (1.37 KB, patch)
2006-09-02 23:59 UTC, Paul F. Johnson
no flags Details | Diff
patch file to fix pc.in and configure.in files (1.35 KB, patch)
2006-09-03 00:00 UTC, Paul F. Johnson
no flags Details | Diff

Description Paul F. Johnson 2006-09-02 23:59:16 UTC
Description of problem:
Attached are two files. The first is a patch which fixes the spec file to get it
in line with the packaging guidelines. The second fixes configure.in and various
pc.in files for architecture agnostic-ness

The spec file adds two subpackages - devel and gapi-devel as well as altering
%{prefix}/data to %{_datadir}

Comment 1 Paul F. Johnson 2006-09-02 23:59:16 UTC
Created attachment 135444 [details]
gtk-sharp spec file patch

Comment 2 Paul F. Johnson 2006-09-03 00:00:00 UTC
Created attachment 135445 [details]
patch file to fix pc.in and configure.in files

Comment 3 Alexander Larsson 2006-09-04 09:35:20 UTC
Do we still ship gtk-sharp? I thought we were gonna drop that from the distro?


Comment 4 Paul F. Johnson 2006-09-04 15:59:41 UTC
From memory, there is one package not ported to gtk-sharp2 in core. Can't
remember which one it is though. If gtk-sharp though is moved to extras, let me
know and I'll maintain it.

Comment 5 Alexander Larsson 2006-09-04 17:23:21 UTC
I thought tomboy was the last one.


Comment 6 Bill Nottingham 2006-09-05 01:54:07 UTC
CC'ing Jesse - pretty sure it's not required by any of tomboy/beagle/f-spot.

Comment 7 Jesse Keating 2006-09-05 02:46:30 UTC
gtk-sharp's provides perhaps make it a little difficult to correctly repoquery
for what may need it.  However with tomboy and friends installed I can rpm -e it
w/out any broken deps.  I think we can remove it from Core.  Is there any reason
to put it in Extras given gtk-sharp2...

Comment 8 Paul F. Johnson 2006-09-05 15:11:02 UTC
If nothing uses it, bung it into extras - just let me know so I can adopt it!

Comment 9 Bill Nottingham 2006-09-05 15:17:02 UTC
Go for it - feel free to submit, etc.

Comment 10 Paul F. Johnson 2006-09-05 15:30:49 UTC
Will do - alex - can you close this bug now?

Comment 11 Matthias Clasen 2006-09-05 18:25:17 UTC
I'll do 


Note You need to log in before you can comment on or make changes to this bug.